
     <meta charset="utf-8" emacsmode="-*- markdown -*-"><link rel="stylesheet" href="https://casual-effects.com/markdeep/latest/slate.css?">

     **Slate Template**
        Version 1.23


This template is good for "dark mode" documentation. It automatically
switches to black-on-white and an inline table of contents when
printed.


Initialization
==============================================================

Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis
voluptatibus maiores alias consequatur aut perferendis doloribus
asperiores repellat.

Asset Based
--------------------------------------------------------------

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
minim veniam, quis nostrud exercitation ullamco laboris nisi ut
aliquip ex ea commodo consequat. Duis aute irure dolor in
reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
pariatur. 

Maine | Iowa | Colorado 
-------|------|----------
1   |  4   |   10
ME   |  IA  |   CO
Blue  | Red  | Brown
[Table [states]: Caption with label.]


### Exporters

Excepteur sint occaecat cupidatat non proident, sunt in
culpa qui officia deserunt mollit anim id est laborum:

- Incididunt
- Bonus Unum
- Quibusdam

```````````````````````````````````````````````
count_lines () {
local f=$1  
local m
m=`wc -l $f | sed 's/^\([0-9]*\).*$/\1/'`
return $m
}
```````````````````````````````````````````````


Procedural
--------------------------------------------------------------

At vero eos et accusamus et iusto odio dignissimos ducimus qui
blanditiis praesentium voluptatum deleniti atque corrupti quos dolores
et quas molestias excepturi sint occaecati cupiditate non provident,
similique sunt in culpa qui officia deserunt mollitia animi, id est
laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita
distinctio. 

**************************************************************
*                                                            
* .---.       .-.        .-.       .-.                       
* | A +----->| 1 +<---->| 2 |<----+ 4 +------------------.   
* '---'       '-'        '+'       '-'                    |  
*                         |         ^                     |  
*                         v         |                     v  
*                        .-.      .-+-.        .-.      .-+-.
*                       | 3 +---->| B |<----->| 5 +---->| C |
*                        '-'      '---'        '-'      '---'
**************************************************************

Nam libero tempore, cum `soluta` nobis est eligendi optio
cumque nihil impedit quo minus id quod maxime placeat facere possimus,
omnis voluptas assumenda est, omnis dolor repellendus. Temporibus
autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe
eveniet ut et voluptates repudiandae sint et molestiae non
recusandae. 

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
a long preformatted code block a long preformatted code block a long preformatted code block a long preformatted code block a long preformatted code block
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



Modules
==============================================================

Nam libero tempore, cum soluta nobis est eligendi optio
cumque nihil impedit quo minus id quod maxime placeat facere possimus,
omnis voluptas assumenda est, omnis dolor repellendus.


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ rust
fn main() {
let x = 5u32;

let y = {
let x_squared = x * x;
let x_cube = x_squared * x;

// This expression will be assigned to `y`
x_cube + x_squared + x
};

let z = {
// The semicolon suppresses this expression and `()` is assigned to `z`
2 * x;
};

println!("x is {:?}", x);
println!("y is {:?}", y);
println!("z is {:?}", z);
}
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

<!--
![`a long code caption a long code caption`](robot.jpg) ![`a long code caption`](robot.jpg) ![`a long code caption`](robot.jpg) ![`a long code caption`](robot.jpg)
![`a long code caption a long code caption`](robot.jpg) ![`a long code caption`](robot.jpg) ![`a long code caption`](robot.jpg) ![`a long code caption`](robot.jpg)
-->

See Also
==============================================================

[Link to nowhere](nowhere).



<style class="fallback">body{visibility:hidden}</style><script>markdeepOptions={tocStyle:'long'};</script>
<!-- Markdeep: --><script src="https://casual-effects.com/markdeep/latest/markdeep.min.js?" charset="utf-8"></script>
